"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const reactComponentName = require("./rules/react-component-name.js");
const rules = {
  "react-component-name": reactComponentName.default
};
const flatPlugin = {
  meta: {
    name: "react-component-name",
    version: "0.1.0"
  },
  rules
};
const configs = {
  recommended: {
    parserOptions: {
      ecmaFeatures: {
        jsx: true
      }
    },
    rules: {
      "react-component-name/react-component-name": [
        2,
        { targets: ["memo", "forwardRef"] }
      ]
    }
  },
  flat: {
    recommended: {
      plugins: {
        "react-component-name": flatPlugin
      },
      rules: {
        "react-component-name/react-component-name": [
          2,
          { targets: ["memo", "forwardRef"] }
        ]
      },
      languageOptions: {
        parserOptions: {
          ecmaFeatures: {
            jsx: true
          }
        }
      }
    }
  }
};
exports.configs = configs;
exports.flatPlugin = flatPlugin;
exports.rules = rules;
//# sourceMappingURL=index.js.map
