export declare const rules: {
    "react-component-name": {
        create: (context: import("eslint").Rule.RuleContext) => import("eslint").Rule.RuleListener;
        meta: {
            type: "problem";
            docs: {
                description: string;
                category: string;
                recommended: true;
            };
            messages: {
                noAnonymousFunction: string;
            };
            fixable: "code";
            schema: {
                type: "object";
                properties: {
                    targets: {
                        type: "array";
                        items: {
                            type: "string";
                        };
                        description: string;
                    };
                };
                additionalProperties: false;
            }[];
        };
    };
};
export declare const flatPlugin: {
    meta: {
        name: string;
        version: string;
    };
    rules: {
        "react-component-name": {
            create: (context: import("eslint").Rule.RuleContext) => import("eslint").Rule.RuleListener;
            meta: {
                type: "problem";
                docs: {
                    description: string;
                    category: string;
                    recommended: true;
                };
                messages: {
                    noAnonymousFunction: string;
                };
                fixable: "code";
                schema: {
                    type: "object";
                    properties: {
                        targets: {
                            type: "array";
                            items: {
                                type: "string";
                            };
                            description: string;
                        };
                    };
                    additionalProperties: false;
                }[];
            };
        };
    };
};
export declare const configs: {
    recommended: {
        parserOptions: {
            ecmaFeatures: {
                jsx: true;
            };
        };
        rules: {
            "react-component-name/react-component-name": [
                2,
                {
                    targets: string[];
                }
            ];
        };
    };
    flat: {
        recommended: {
            plugins: {
                'react-component-name': {
                    meta: {
                        name: string;
                        version: string;
                    };
                    rules: {
                        "react-component-name": {
                            create: (context: import("eslint").Rule.RuleContext) => import("eslint").Rule.RuleListener;
                            meta: {
                                type: "problem";
                                docs: {
                                    description: string;
                                    category: string;
                                    recommended: true;
                                };
                                messages: {
                                    noAnonymousFunction: string;
                                };
                                fixable: "code";
                                schema: {
                                    type: "object";
                                    properties: {
                                        targets: {
                                            type: "array";
                                            items: {
                                                type: "string";
                                            };
                                            description: string;
                                        };
                                    };
                                    additionalProperties: false;
                                }[];
                            };
                        };
                    };
                };
            };
            rules: {
                "react-component-name/react-component-name": [
                    2,
                    {
                        targets: string[];
                    }
                ];
            };
            languageOptions: {
                parserOptions: {
                    ecmaFeatures: {
                        jsx: true;
                    };
                };
            };
        };
    };
};
