import rule from "./rules/react-component-name.mjs";
const rules = {
  "react-component-name": rule
};
const flatPlugin = {
  meta: {
    name: "react-component-name",
    version: "0.1.0"
  },
  rules
};
const configs = {
  recommended: {
    parserOptions: {
      ecmaFeatures: {
        jsx: true
      }
    },
    rules: {
      "react-component-name/react-component-name": [
        2,
        { targets: ["memo", "forwardRef"] }
      ]
    }
  },
  flat: {
    recommended: {
      plugins: {
        "react-component-name": flatPlugin
      },
      rules: {
        "react-component-name/react-component-name": [
          2,
          { targets: ["memo", "forwardRef"] }
        ]
      },
      languageOptions: {
        parserOptions: {
          ecmaFeatures: {
            jsx: true
          }
        }
      }
    }
  }
};
export {
  configs,
  flatPlugin,
  rules
};
//# sourceMappingURL=index.mjs.map
