import type { Rule } from "eslint";
declare const rule: {
    create: (context: Rule.RuleContext) => Rule.RuleListener;
    meta: {
        type: "problem";
        docs: {
            description: string;
            category: string;
            recommended: true;
        };
        messages: {
            noAnonymousFunction: string;
        };
        fixable: "code";
        schema: {
            type: "object";
            properties: {
                targets: {
                    type: "array";
                    items: {
                        type: "string";
                    };
                    description: string;
                };
            };
            additionalProperties: false;
        }[];
    };
};
export default rule;
